lets use cpm

Tue, 10 Sep 2019 13:55:57 -0500

author
Meredith Howard <mhoward@roomag.org>
date
Tue, 10 Sep 2019 13:55:57 -0500
changeset 786
63160e727e37
parent 785
9bd25468c382
child 787
fc7e6eaf6a91

lets use cpm

bin/setup-cpan-faves file | annotate | diff | comparison | revisions
--- a/bin/setup-cpan-faves
+++ b/bin/setup-cpan-faves
@@ -1,11 +1,7 @@
-#!/usr/bin/env perl
-use warnings;
-use strict;
+#!/bin/bash
+set -eu -o pipefail
 
-exec cpanm => -nq => qw(
-  App::cpanminus
-  Carton
-
+dists=(
   Perl::Tidy
   Pod::Cpandoc
 
@@ -23,4 +19,9 @@ exec cpanm => -nq => qw(
 
   Path::Tiny
   Getopt::Long::Descriptive
-);
+)
+
+command -v cpm &>/dev/null ||
+  cpanm App::cpm
+
+exec cpm install -g "${dists[@]}"

mercurial